/*
 Theme Name:   Twenty Twenty-Five Child
 Description:  Twenty Twenty Five Child Theme
 Author:       Bärbel Fritz
 Template:     twentytwentyfive
 Version:      1.0
 Text Domain:  twentytwentyfive-child
*/


header {
  background-color: #505588;
  color: #fff;
  margin-block-start: 0;
  padding: 0;
}

header div#sticky {
  background-color: #505588;
}

header div.main-navigation {
  background-color: #222443;
}

header div.tagline, footer {
  background-color: #505588;
}

header ul, footer ul {
  list-style: none;
}

header ul li a, footer ul li a {
  text-decoration: none;
}

header ul li a:hover, footer ul li a:hover {
  text-decoration: underline;
}

header div.tagline {
  padding: 8px 32px 10px 32px;
  /* text-align: center; */
}

header div.tagline div {
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

@media (max-width: 1220px) {
  header div.tagline div {
    max-width: 680px;
  }
}

header div.tagline p {
  margin-block-start: 0;
  margin-block-end: 0;
  display: inline;
  font-size: var(--wp--preset--font-size--large);
}

header div.tagline p.wp-block-site-tagline {
  /* padding-left: 12px; */
}

figure.alignfull {
  margin-block-start: 0;
}

footer {
  color: #fff;
  margin-block-start: 0;
  padding: 0;
  font-size: var(--wp--preset--font-size--medium);
}

footer ul {
  padding-inline-start: 0;
}

/* div.is-layout-constraint h2 {
  margin-top: 3rem;
} */

h3.wp-block-heading {
  font-weight: 500;
}

h2.anchor, div.anchor, p.anchor {
  scroll-margin-top: 150px;
}

div.alignfull div.alignfull div.alignfull div.wp-block-columns {
  padding: 2rem;
}

div.column-standard-width {
  max-width: var(--wp--style--global--content-size);
}

figure.wp-block-image.alignfull.img-1 img {
  height: 530px;
  object-fit: cover;
  object-position: left top;
}

figure.wp-block-image.alignfull.img-2 img {
  height: 750px;
  object-fit: cover;
  object-position: center top;
}

figure.wp-block-image.alignfull.img-3 img {
  height: 130px;
  object-fit: cover;
  object-position: center;
}

p.last-in-column {
  padding-bottom: 15px;
}

p.less-margin-block-start {
  margin-block-start: 0.75rem;
}

ul#menu-sub-menu {
  margin: 0;
}

@media (max-width: 620px) {
  :root :where(.is-layout-flex) {
      gap: 1rem;
  }
  header div.tagline div {
    max-width: 560px;
  }
  div.main-navigation ul {
    gap: 0.8rem;
  }
  header div.tagline p {
    font-size: var(--wp--preset--font-size--medium);
  }
  header img#logo {
    width: 90px;
    height: 90px;
  }
  footer {
    font-size: var(--wp--preset--font-size--small);
  }
  p#ueber-uns {
    font-size: 18px !important;
  }
  figure.wp-block-image.alignfull.img-1 img {
    object-fit: scale-down;
    height: auto;
  }

  figure.wp-block-image.alignfull.img-2 img {
    object-fit: scale-down;
    height: auto;
  }
}
